package com.ceb2b2000.connector.connectors;

import java.util.Date;

import javax.portlet.PortletURL;

public interface Connectable {
	public long getId();
	public String getConnectorId();
	public Class<?> getEntityClass();
	public String getName();
	public String getDescription();
	public String getKeywords();
	public Date getCreateDate();
	public Date getModifiedDate();
	public boolean isConnectedTo(ConnectorContext ctx, Connectable other);
	public long getPriority();
	public PortletURL getURL(ConnectorContext ctx) throws ConnectorException;
}
