package com.ceb2b2000.connector.util;

public final class Assert {
	private Assert() {}
	
	public static final void isTrue(String message, boolean b) {
		if (!b) {
			throw new IllegalArgumentException(message);
		}
	}
	
	public static final void isTrue(boolean b) {
		isTrue("Failed assertion: Expected `true' condition failed.", b);
	}
	
	public static final void isNull(Object o) {
		isTrue("Failed assertion: Found non null reference.", o == null);
	}
	
	public static final void notNull(Object o) {
		isTrue("Failed assertion: Found null reference.", o != null);
	}
	
	public static final void positive(long l) {
		isTrue("Failed assertion: found non positive number.", l > 0);
	}
	
	public static final void nonNegative(long l) {
		isTrue("Failed assertion: found negative number.", l >= 0);
	}
}
