package com.ceb2b2000.connector.connectors;

import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.search.Document;

public interface ConnectableFactory<T> {
	public Connectable fromHit(
			ConnectorContext ctx, Document doc, long priority) 
			throws PortalException, SystemException;
	
	public Connectable fromModel(ConnectorContext ctx, T model, long priority);
	
	public Connectable fromModelId(
			ConnectorContext ctx, long modelId, long priority) 
			throws PortalException, SystemException;
}
