package com.ceb2b2000.connector.connectors.impl;

import java.util.Collections;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import com.ceb2b2000.connector.connectors.Connectable;
import com.ceb2b2000.connector.connectors.ConnectableFactory;
import com.ceb2b2000.connector.connectors.Connector;
import com.ceb2b2000.connector.connectors.ConnectorContext;
import com.ceb2b2000.connector.connectors.ConnectorException;
import com.ceb2b2000.connector.connectors.SearchResult;

public class EmptyConnector implements Connector<Object> {
	public static final Connector<?> getInstance() {
		return _instance;
	}
	
	public SearchResult getAvailable(
			ConnectorContext ctx, int from, int to, Long... excluded)
		throws ConnectorException {
		
		return new SearchResult(0, Collections.<Connectable>emptyList());
	}


	public SearchResult getConnected(ConnectorContext ctx, int from, int to)
			throws ConnectorException {
		return new SearchResult(0, Collections.<Connectable>emptyList());
	}

	public String getId() {
		return "";
	}

	public void initOnAction(ActionRequest request, ActionResponse response) {
		
	}

	public void initOnRender(RenderRequest request, RenderResponse response) {

	}

	public Connectable findEntity(ConnectorContext ctx, long entityId) 
		throws ConnectorException {
		
		return null;
	}

	public SearchResult getConnectedTo(
			ConnectorContext ctx, long classPK,	int from, int to) 
		throws ConnectorException {
		
		return new SearchResult(0, Collections.<Connectable>emptyList());
	}

	public ConnectableFactory<Object> getEntityFactory() {
		return null;
	}

	public Class<Object> getEntityClass() {
		return null;
	}

	public String getCustomForm() {
		return null;
	}

	private static final Connector<Object> _instance = new EmptyConnector();
}
