/**
 * 
 */
package com.ceb2b2000.connector.util;

import java.io.IOException;
import java.io.Writer;
import java.util.Map;

import javax.portlet.PortletMode;
import javax.portlet.PortletModeException;
import javax.portlet.PortletSecurityException;
import javax.portlet.PortletURL;
import javax.portlet.WindowState;
import javax.portlet.WindowStateException;

public final class NullPortletURL implements PortletURL {
	public static final PortletURL getInstance() {
		return _INSTANCE;
	}
	
	public PortletMode getPortletMode() {
		throw new UnsupportedOperationException();
	}

	public WindowState getWindowState() {
		throw new UnsupportedOperationException();
	}

	public void removePublicRenderParameter(String arg0) {
		throw new UnsupportedOperationException();
	}

	public void setPortletMode(PortletMode arg0)
			throws PortletModeException {
		throw new UnsupportedOperationException();
	}

	public void setWindowState(WindowState arg0)
			throws WindowStateException {
		throw new UnsupportedOperationException();
	}

	public void addProperty(String arg0, String arg1) {
		throw new UnsupportedOperationException();
	}

	public Map<String, String[]> getParameterMap() {
		throw new UnsupportedOperationException();
	}

	public void setParameter(String arg0, String arg1) {
		// do nothing ...
	}

	public void setParameter(String arg0, String[] arg1) {
		// do nothing ...
	}

	public void setParameters(Map<String, String[]> arg0) {
		// do nothing ...
	}

	public void setProperty(String arg0, String arg1) {
		throw new UnsupportedOperationException();
	}

	public void setSecure(boolean arg0) throws PortletSecurityException {
		throw new UnsupportedOperationException();
	}

	public void write(Writer arg0) throws IOException {
		throw new UnsupportedOperationException();
	}

	public void write(Writer arg0, boolean arg1) throws IOException {
		throw new UnsupportedOperationException();
	}
	
	public String toString() {
		return "#";
	}
	
	private static final PortletURL _INSTANCE = new NullPortletURL();
}