<%@ include file="/html/init.jsp" %>

<%
String selectedStructureId =
	(String) request.getAttribute(ConnectorWebKeys.SELECTED_STRUCTURE_ID);
Collection<JournalStructure> structures =
	(Collection<JournalStructure>) request.getAttribute(ConnectorWebKeys.AVAILABLE_STRUCTURES);
List<KeyValuePair> leftList =
	(List<KeyValuePair>) request.getAttribute(ConnectorWebKeys.LEFT_STRUCTURES);
List<KeyValuePair> rightList =
	(List<KeyValuePair>) request.getAttribute(ConnectorWebKeys.RIGHT_STRUCTURES);
Boolean restricted = (Boolean) request.getAttribute(ConnectorWebKeys.RESTRICTED);
%>


<portlet:actionURL var="savePreferencesURL">
	<portlet:param name="<%= ActionRequest.ACTION_NAME %>" value="savePreferences"/>
</portlet:actionURL>

<portlet:renderURL var="reloadURL">
	<portlet:param name="<%= Constants.CMD %>" value="<%= ConnectorConstants.REFRESH %>"/>
</portlet:renderURL>

<script type="text/javascript">
<!--
	function <portlet:namespace/>reload() {
		document.forms['<portlet:namespace/>fm'].action = '<%= reloadURL %>'
		document.forms['<portlet:namespace/>fm'].submit()
	}

	function <portlet:namespace/>savePreferences() {
		var theForm = document.forms['<portlet:namespace/>fm']
		                     		
		theForm.<portlet:namespace/><%= ConnectorWebKeys.CURRENT_CONNECTIONS %>.value = Liferay.Util.listSelect(theForm.<portlet:namespace />leftConnections)
		theForm.submit()
	}
//-->
</script>

<form name="<portlet:namespace/>fm" method="post" action="<%= savePreferencesURL %>">
	<input type="hidden" name="<portlet:namespace/><%= ConnectorWebKeys.CURRENT_CONNECTIONS %>"/>
	
	<table class="lfr-table">
	    <tr>
	       <td>
		       <input type="checkbox" 
		              name="<%= ConnectorWebKeys.RESTRICTED %>" 
		              value="true" 
		              <%= restricted ? "checked='checked'" : "" %>
		       />
	       </td>
	       <td><liferay-ui:message key="restrict-journal-relations"/></td>
	    </tr>
	    
	    <tr><td>&nbsp;</td></tr> 
		
		<tr>
			<td><liferay-ui:message key="structure" /></td>
			<td>
				<select name="<%= ConnectorWebKeys.SELECTED_STRUCTURE_ID %>"
						onchange="<portlet:namespace/>reload();">
					<% for (JournalStructure structure: structures) { %>
						<% String structureId = structure.getStructureId(); %>
						<option <%= structureId.equals(selectedStructureId) ? "selected='selected'" : "" %>
								value="<%= HtmlUtil.escape(structureId) %>">
							<%= HtmlUtil.escape(structure.getName()) %>
						</option>
					<% } %>
				</select>
			</td>
		</tr>
		
		<tr><td>&nbsp;</td></tr>
		
		<tr>
			<td><liferay-ui:message key="structure" /></td>
			<td>
				<liferay-ui:input-move-boxes formName="fm"
											 leftTitle="current"
											 rightTitle="available"
											 leftBoxName="leftConnections"
											 rightBoxName="rightConnections"
											 leftReorder="false"
											 leftList="<%= leftList %>"
											 rightList="<%= rightList %>"
				/>				
			</td>
		</tr>
	</table>

	<input type="button" value="<liferay-ui:message key='save'/>" onclick="javascript:<portlet:namespace/>savePreferences()"/>
</form>